#!/usr/bin/env python

# Copyright 2008 Vojtech Kovar

# This file is part of SET.
#
# SET is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# SET is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with SET.  If not, see <http://www.gnu.org/licenses/>.


# various utilities

import sys

def log(string, file=sys.stderr):
	if isinstance(file, basestring):
		f = open(file, 'a')
		f.write(string + '\n')
		f.close()
	else:
		file.write(string + '\n')


def usage(prog_name):
	log('Usage: %s [-gdpc] [--version] [--laa] [--postags] [--cout] [--phrases] [--marx] file' % prog_name)
